Articles on: Public API

Activities

Get customer activities

Retrieve activities for a customer, such as redeemed rewards or earned points
GET /rest-api/v1/activities


Query parameters


Name

Type

Description

customerIdentifier

string

Search by Shopify customer ID or customer email

page

int

Page number

pageSize

int

Number of results per page


Example request

curl --request GET \
--url 'https://api.bloy.io/rest-api/v1/activities?customerIdentifier=customer@example.com&page=1&pageSize=20' \
--header 'Authorization: Bearer YourApiKeyGoesHere'


Example response

{
"success": true,
"message": "OK",
"activities": [
{
"_id": "664f1a2b3c4d5e6f7a8b9c10",
"description": "Place an order",
"note": "Order #5677",
"type": "earn_point",
"settingType": "place_order",
"oldPoints": 50,
"newPoints": 150,
"createdAt": "2026-06-09T10:00:00.000Z",
"updatedAt": "2026-06-09T10:00:00.000Z"
},
{
"_id": "664f1a2b3c4d5e6f7a8b9c11",
"description": "Redeem $5 off",
"note": "",
"type": "redeem_point",
"settingType": "amount",
"oldPoints": 200,
"newPoints": 100,
"createdAt": "2026-06-08T07:30:00.000Z",
"updatedAt": "2026-06-08T07:30:00.000Z"
}
]
}

Updated on: 11/06/2026

Was this article helpful?

Share your feedback

Cancel

Thank you!